GET /documentprocessing/barcodes/maximumtextlength
GET https://example.com/documentprocessing/barcodes/maximumtextlength
Description
Returns the maximum text length that can be encoded.
Examples
The following example returns the maximum text length for a QR code.
# Request:
curl GET 'https://trial.dsserver.io/documentprocessing/barcodes/maximumtextlength?barcodeType=qrcode' \
'Authorization: Bearer fePFHv8OtIyRSCAdOnn7USc9kKdYB2rg'
# Result:
3700
Authorization
This endpoint supports the OAuth authorization method. DS Server checks the access token only when OAuth is enabled in the admin portal (see Enable OAuth). With OAuth disabled, the default of a new installation, the endpoint accepts requests without a token.
DS Server implements OAuth as the authorization method. Two flows are supported:
- Authorization Code
- Client Credentials
To use the Client Credentials flow, switch on Allow “Client Credentials” grant type in the security profile (see OAuth Grant Types).
In both cases, a valid access token returned from the OAuth endpoints must be passed in a Bearer Authorization Header, as a Query Parameter or in a Cookie.
Authorization Header
| Header field | Description |
|---|---|
| Authorization | A Bearer authorization header (also called token authentication) contains the OAuth access token. The authorization method and a space i.e. "Bearer " is then put before your valid access token. For example: Authorization: Bearer 4796E23054E64BC773CACBCAF24AD179DE9A3 |
Query Parameter
| Query parameter | Description |
|---|---|
| access_token | The access token is passed directly in the endpoint URL as a query string. For example: ?access_token=4796E23054E64BC773CACBCAF24AD179DE9A3 |
Cookie
| Cookie | Description |
|---|---|
| access_token | The access token is passed in a cookie named access_token. For example: Cookie: access_token=4796E23054E64BC773CACBCAF24AD179DE9A3 |
Request Parameters
| Name | Type | Value | Optional |
|---|---|---|---|
| barcodeType | String | A string that specifies the barcode type. Possible values are: "QRCode", "Code128", "EAN13", "UPCA", "EAN8", "Interleaved2of5", "Postnet", "Code39", "AztecCode", "IntelligentMail", "Datamatrix", "PDF417", "MicroPDF", "Codabar", "FourState", "Code11", "Code93", "PLANET", "RoyalMail", "Maxicode". | no |
Success Response
| Status | Description |
|---|---|
| 200 | On success, the HTTP status code in the response header is 200 (OK). The response body contains the maximum text length. |
Error Response
| Status | Description |
|---|---|
| 401 | A 401 (Unauthorized) with an empty body is returned, if OAuth is enabled and the request has no valid access token. |
| 405 | A 405 (Method Not Allowed) with an empty body and the header Allow: GET is returned for any other HTTP method, for example POST. |
| 400 | A 400 (Bad Request) is returned, if DS Server is not licensed or the license is invalid. On a server that is not registered, the body is the plain text DS Server is not registered. (text/plain). DS Server checks the license before the parameter values. |
| 400 | A 400 (Bad Request) is returned, if the barcode type is not valid. |